- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
AL::Math::Velocity6D Struct Reference
Types

Create and play with a Velocity6D. More...

`#include <alvelocity6d.h>`

## Public Member Functions
| Velocity6D ()
| Create a Velocity6D initialize with 0.0f. More...
| Velocity6D (float pInit)
| Create a Velocity6D initialize with the same float. More...
| Velocity6D (float pXd, float pYd, float pZd, float pWxd, float pWyd, float pWzd)
| Create a Velocity6D initialize with explicit value. More...
| Velocity6D (const std::vector< float > &pFloats)
| Create a Velocity6D with an std::vector. More...
Velocity6D | operator+ (const Velocity6D &pVel2) const
| Overloading of operator + for Velocity6D. More...
Velocity6D | operator- (const Velocity6D &pVel2) const
| Overloading of operator - for Velocity6D. More...
Velocity6D | operator+ (void) const
| Overloading of operator + for Velocity6D. More...
Velocity6D | operator- () const
| Overloading of operator - for Velocity6D. More...
Velocity6D | operator* (const float pVal) const
| Overloading of operator * for Velocity6D. More...
Velocity6D | operator/ (const float pVal) const
| Overloading of operator / for Velocity6D. More...
bool | operator== (const Velocity6D &pVel2) const
| Overloading of operator == for Velocity6D. More...
bool | operator!= (const Velocity6D &pVel2) const
| Overloading of operator != for Velocity6D. More...
Velocity6D & | operator*= (const float pVal)
| Overloading of operator *= for Velocity6D. More...
Velocity6D & | operator/= (const float pVal)
| Overloading of operator /= for Velocity6D. More...
bool | isNear (const Velocity6D &pVel2, const float &pEpsilon=0.0001f) const
| Check if the actual Velocity6D is Near the one given in argument. More...
float | norm () const
| Compute the norm of the actual Velocity6D: More...
Velocity6D | normalize () const
| Normalize the actual Velocity6D: More...
void | toVector (std::vector< float > &pReturnVector) const
| Return the Velocity6D as a vector of float [xd, yd, zd, wxd, wyd, wzd]. More...
std::vector< float > | toVector (void) const
void | writeToVector (std::vector< float >::iterator &pIt) const
| Write [xd, yd, zd, wxd, wyd, wzd] in the vector and update the iterator. It is assumed the vector has enough space. More...

## Public Attributes
float | xd
float | yd
float | zd
float | wxd
float | wyd
float | wzd

## Detailed Description

Create and play with a Velocity6D.

A Velocity6D is just defined by xd, yd, zd, wxd, wyd and wzd.

Definition at line 25 of file alvelocity6d.h.

## Constructor & Destructor Documentation

AL::Math::Velocity6D::Velocity6D | ( |  | ) |

Create a Velocity6D initialize with 0.0f.

AL::Math::Velocity6D::Velocity6D | ( | float | pInit | ) |
| explicit

Create a Velocity6D initialize with the same float.

Parameters

  pInit | the float value for each member

AL::Math::Velocity6D::Velocity6D | ( | float | pXd,
|  | float | pYd,
|  | float | pZd,
|  | float | pWxd,
|  | float | pWyd,
|  | float | pWzd
| ) |  |

Create a Velocity6D initialize with explicit value.

Parameters

  pXd | the float value for xd
  pYd | the float value for yd
  pZd | the float value for zd
  pWxd | the float value for wxd
  pWyd | the float value for wyd
  pWzd | the float value for wzd

AL::Math::Velocity6D::Velocity6D | ( | const std::vector< float > & | pFloats | ) |

Create a Velocity6D with an std::vector.

Parameters

  pFloats | An std::vector<float> of size 6 for respectively:

xd, yd, zd, wxd, wyd and wzd

## Member Function Documentation

bool AL::Math::Velocity6D::isNear | ( | const Velocity6D & | pVel2,
|  | const float & | pEpsilon = `0.0001f`
| ) |  | const

Check if the actual Velocity6D is Near the one given in argument.

Parameters

  pVel2 | the second Velocity6D
  pEpsilon | an optional epsilon distance

Returns
  true if the difference of each float of the two Velocity6D is less than pEpsilon

float AL::Math::Velocity6D::norm | ( |  | ) | const

Compute the norm of the actual Velocity6D:

Returns
  the float norm of the Velocity6D

Velocity6D AL::Math::Velocity6D::normalize | ( |  | ) | const

Normalize the actual Velocity6D:

Returns
  the Velocity6D normalized

bool AL::Math::Velocity6D::operator!= | ( | const Velocity6D & | pVel2 | ) | const

Overloading of operator != for Velocity6D.

Parameters

  pVel2 | the second Velocity6D.

Velocity6D AL::Math::Velocity6D::operator* | ( | const float | pVal | ) | const
| inline

Overloading of operator * for Velocity6D.

Parameters

  pVal | the float factor.

Definition at line 204 of file alvelocity6d.h.

Velocity6D& AL::Math::Velocity6D::operator*= | ( | const float | pVal | ) |

Overloading of operator *= for Velocity6D.

Parameters

  pVal | the float factor.

Velocity6D AL::Math::Velocity6D::operator+ | ( | const Velocity6D & | pVel2 | ) | const
| inline

Overloading of operator + for Velocity6D.

Parameters

  pVel2 | the second Velocity6D

Definition at line 158 of file alvelocity6d.h.

Velocity6D AL::Math::Velocity6D::operator+ | ( | void |  | ) | const
| inline

Overloading of operator + for Velocity6D.

Definition at line 187 of file alvelocity6d.h.

Velocity6D AL::Math::Velocity6D::operator- | ( | const Velocity6D & | pVel2 | ) | const
| inline

Overloading of operator - for Velocity6D.

Parameters

  pVel2 | the second Velocity6D

Definition at line 173 of file alvelocity6d.h.

Velocity6D AL::Math::Velocity6D::operator- | ( |  | ) | const
| inline

Overloading of operator - for Velocity6D.

Definition at line 195 of file alvelocity6d.h.

Velocity6D AL::Math::Velocity6D::operator/ | ( | const float | pVal | ) | const

Overloading of operator / for Velocity6D.

Parameters

  pVal | the float factor.

Velocity6D& AL::Math::Velocity6D::operator/= | ( | const float | pVal | ) |

Overloading of operator /= for Velocity6D.

Parameters

  pVal | the float factor.

bool AL::Math::Velocity6D::operator== | ( | const Velocity6D & | pVel2 | ) | const

Overloading of operator == for Velocity6D.

Parameters

  pVel2 | the second Velocity6D.

void AL::Math::Velocity6D::toVector | ( | std::vector< float > & | pReturnVector | ) | const

Return the Velocity6D as a vector of float [xd, yd, zd, wxd, wyd, wzd].

std::vector<float> AL::Math::Velocity6D::toVector | ( | void |  | ) | const

void AL::Math::Velocity6D::writeToVector | ( | std::vector< float >::iterator & | pIt | ) | const

Write [xd, yd, zd, wxd, wyd, wzd] in the vector and update the iterator. It is assumed the vector has enough space.

## Member Data Documentation

float AL::Math::Velocity6D::wxd

Definition at line 33 of file alvelocity6d.h.

float AL::Math::Velocity6D::wyd

Definition at line 35 of file alvelocity6d.h.

float AL::Math::Velocity6D::wzd

Definition at line 37 of file alvelocity6d.h.

float AL::Math::Velocity6D::xd

Definition at line 27 of file alvelocity6d.h.

float AL::Math::Velocity6D::yd

Definition at line 29 of file alvelocity6d.h.

float AL::Math::Velocity6D::zd

Definition at line 31 of file alvelocity6d.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/types/alvelocity6d.h